<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ReconImportRowProduct extends Model
{
    protected $fillable = [
        'row_id',
        'product_id',
        'qty',
        'amount',
    ];

    public function row(): BelongsTo
    {
        return $this->belongsTo(ReconImportRow::class, 'row_id');
    }

    public function product(): BelongsTo
    {
        return $this->belongsTo(Product::class);
    }
}
